# Maintainer: duxet <duxetlg@gmail.com>
# Changes 
# Changed to ARM and bumped revision. Will Christensen 20190407

pkgname=k3s-bin
pkgver=0.6.1
pkgrel=1
pkgdesc="Lightweight Kubernetes"
url="https://k3s.io"
license=('Apache')
arch=('aarch64')
conflicts=('k3s-git')

source=(
  "k3s-${pkgver}::https://github.com/rancher/k3s/releases/download/v${pkgver}/k3s-arm64"
  "k3s.service"
  "k3s-agent.service"
)
sha256sums=(
  '72b01abad9b6f0cc615cc999b2c4724d0b4862d063e2752eff0dc7ea69985775'
  '19df3e574f57e3a0b7161f45b00a5f823c8860ea446cb68d5e0ac04646ba632a'
  'bad5aa2dce9aaab83bf1f2fd0432fa10e7177fef85ecb16fbf120ee2c005f023'
)

package() {
  install -Dm 755 $srcdir/k3s-${pkgver} $pkgdir/usr/bin/k3s

  install -dm 755 $pkgdir/usr/lib/systemd/system
  install -m 644 $srcdir/k3s.service $pkgdir/usr/lib/systemd/system/k3s.service
  install -m 644 $srcdir/k3s-agent.service $pkgdir/usr/lib/systemd/system/k3s-agent.service
}
